package com.mortals.xhx.module.device.model.vo;

import com.mortals.framework.model.BaseEntityLong;
import lombok.Data;

import java.util.List;

/**
 * 设备统计视图对象
 *
 * @author zxfei
 * @date 2022-07-05
 */
@Data
public class DeviceStatVo extends BaseEntityLong {

    /** 开始 年 */
    private Integer yearStart;

    /** 结束 年 */
    private Integer yearEnd;


    /** 年列表 */
    private List <Integer> yearList;

    /** 开始 月 */
    private Integer monthStart;

    /** 结束 月 */
    private Integer monthEnd;


    /** 月列表 */
    private List <Integer> monthList;

    /** 开始 日 */
    private Integer dayStart;

    /** 结束 日 */
    private Integer dayEnd;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    private Integer selected;
}